<?php
namespace Teknisa\COZ\Services;

class ObsCtrlExpedService {

    public $entityManager;

    public function __construct($entityManager) {
        $this->entityManager = $entityManager;
    }


    public function excluiObservacao(
        $nrorg, $central, $filial, $servico, $cliente, $destino
    ){
        /** @var \Teknisa\Model\Planejamento\Entities\Obsctrlexped $observacoes[] */
        $observacoes = $this->entityManager->getRepository('\Teknisa\Model\Planejamento\Entities\Obsctrlexped')
            ->findBy(
                array(
                    "nrorg" => $nrorg,
                    "cdcentral" => $central,
                    "cdfilial" => $filial,
                    "cdservfili" => $servico,
                    "cdcliente" => $cliente,
                    "cddestfili" => $destino,
                )
            );

        if ($observacoes) {
            $this->entityManager->getConnection()->beginTransaction();
            foreach($observacoes as $obs){
                $this->entityManager->remove($obs);
                $this->entityManager->flush();
            }

            $this->entityManager->getConnection()->commit();
            return true;
        }
    }

}